org.eclipse.jgit.events

## Interface IndexChangedListener

All Superinterfaces:
  RepositoryListener

    public interface IndexChangedListener
    extends RepositoryListener

Receives `IndexChangedEvent`s.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onIndexChanged(IndexChangedEvent event)` Invoked when any change is made to the index.

### Method Detail

#### onIndexChanged

    void onIndexChanged(IndexChangedEvent event)

Invoked when any change is made to the index.

Parameters:
  `event` - information about the changes.